# Uses of Class
org.bukkit.map.MapCursor

Packages that use MapCursor
Package
Description
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.

## Uses of MapCursor in org.bukkit.map

Methods in org.bukkit.map that return MapCursor
Modifier and Type
Method
Description
`@NotNull MapCursor`
MapCursorCollection.`addCursor(int x, int y, byte direction)`
Add a cursor to the collection.
`@NotNull MapCursor`
MapCursorCollection.`addCursor(int x, int y, byte direction, byte type)`
Deprecated.
Magic value
`@NotNull MapCursor`
MapCursorCollection.`addCursor(int x, int y, byte direction, byte type, boolean visible)`
Deprecated.
Magic value
`@NotNull MapCursor`
MapCursorCollection.`addCursor(int x, int y, byte direction, byte type, boolean visible, @Nullable String caption)`
Deprecated.
Magic value
`@NotNull MapCursor`
MapCursorCollection.`addCursor(int x, int y, byte direction, byte type, boolean visible, Component caption)`
Deprecated.
Magic value
`@NotNull MapCursor`
MapCursorCollection.`addCursor(@NotNull MapCursor cursor)`
Add a cursor to the collection.
`@NotNull MapCursor`
MapCursorCollection.`getCursor(int index)`
Get a cursor from this collection.
Methods in org.bukkit.map with parameters of type MapCursor
Modifier and Type
Method
Description
`@NotNull MapCursor`
MapCursorCollection.`addCursor(@NotNull MapCursor cursor)`
Add a cursor to the collection.
`boolean`
MapCursorCollection.`removeCursor(@NotNull MapCursor cursor)`
Remove a cursor from the collection.